Bug 734760 - [PEM] pem_CreateObject() leaks memory given a non-existing file name
Summary: [PEM] pem_CreateObject() leaks memory given a non-existing file name
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 733657 746629 746632 806058
TreeView+ depends on / blocked
 
Reported: 2011-08-31 11:21 UTC by Kamil Dudka
Modified: 2012-04-25 22:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A PEM module internal function did not clean up memory when detecting a non-existent file name. Consequence: This caused memory leakage on client code. Fix: Deallocate such temporary objects. Result: The reported memory leakage is gone.
Clone Of:
: 746632 (view as bug list)
Environment:
Last Closed: 2012-03-20 20:26:45 UTC


Attachments (Terms of Use)
proposed fix (1.17 KB, patch)
2011-08-31 11:23 UTC, Kamil Dudka
emaldona: review+
Details | Diff

Description Kamil Dudka 2011-08-31 11:21:38 UTC
Version-Release number of selected component (if applicable):
nss-3.12.11-1.fc17


Additional info:
Same bug in RHEL-6 and stable Fedora.

Comment 1 Kamil Dudka 2011-08-31 11:23:59 UTC
Created attachment 520796 [details]
proposed fix

Comment 2 Kai Engert (:kaie) (inactive account) 2012-03-20 20:26:45 UTC
I see this patch file is already contained in rawhide.

Marking fixed.

Comment 3 Elio Maldonado Batiz 2012-04-25 22:43:58 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: A PEM module internal function did not clean up memory when detecting a non-existent file name.
Consequence: This caused memory leakage on client code.
Fix: Deallocate such temporary objects.
Result: The reported memory leakage is gone.


Note You need to log in before you can comment on or make changes to this bug.